<?
# myrrd.php [MyRRD]
# v 1.0 - Nicolas AGIUS - 06/2007
#
###################################################################################
## Generate HTML page and graphics from mysql's RRD
#
# Copyright (C) 2007 Nicolas AGIUS <nicolas_agius@yahoo.fr>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
###################################################################################

include("rrd.inc.php");

$rrd_file = "/var/lib/mysql.rrd";		// Round Robin Database file



# Graphics definitions

$graphs = array
(
	"cnx" => array 
	(
		"Label"   => "Nombre de connexions",
		"Title"   => "Connexions et requ&ecirc;tes MySQL",
		"Caption" => "",
		"Graph"   => array
		(
			"VLabel" 	=> "Requetes /s",
			"HLabel" 	=> "",
			"Prefix" 	=> "cnx",
			"MaxYear"	=> true,
			"Data" 		=> array
			(
				array
				(
					"DSName"  => "total",
					"RRDFile" => "$rrd_file",
					"Label"   => "SQL     ",
					"Color"   => "#FF0000",
					"Type" 	  => "LINE1"
				),
				array
				(
					"DSName"  => "connect",
					"RRDFile" => "$rrd_file",
					"Label"   => "TCP     ",
					"Color"   => "#009977",
					"Type" 	  => "AREA"
				)
			)
		)
	),
	"query" => array 
	(
		"Label"   => "Nombre de requetes",
		"Title"   => "Requetes MySQL",
		"Caption" => "",
		"Graph"   => array
		(
			"VLabel" 	=> "Requetes /s",
			"HLabel" 	=> "",
			"Prefix" 	=> "query",
			"MaxYear"	=> false,
			"Data" 		=> array
			(
				array
				(
					"DSName"  => "select",
					"RRDFile" => "$rrd_file",
					"Label"   => "Select    ",
					"Color"   => "#00DD22",
					"Type" 	  => "AREA"
				),
				array
				(
					"DSName"  => "insert",
					"RRDFile" => "$rrd_file",
					"Label"   => "Insert    ",
					"Color"   => "#EEAF00",
					"Type" 	  => "LINE1"
				),
				array
				(
					"DSName"  => "delete",
					"RRDFile" => "$rrd_file",
					"Label"   => "Delete    ",
					"Color"   => "#FF0000",
					"Type" 	  => "LINE1"
				),
				array
				(
					"DSName"  => "update",
					"RRDFile" => "$rrd_file",
					"Label"   => "Update    ",
					"Color"   => "#0022DD",
					"Type" 	  => "AREA"
				)
			)
		)
	),
	"network" => array 
	(
		"Label"   => "Volum&eacute;trie",
		"Title"   => "Trafic MySQL",
		"Caption" => "",
		"Graph"   => array
		(
			"VLabel" 	=> "Octets /s",
			"HLabel" 	=> "",
			"Prefix" 	=> "net",
			"MaxYear"	=> true,
			"Data" 		=> array
			(
				array
				(
					"DSName"  => "inbound",
					"RRDFile" => "$rrd_file",
					"Label"   => "Recu     ",
					"Color"   => "#DD2222",
					"Type" 	  => "AREA"
				),
				array
				(
					"DSName"  => "outbound",
					"RRDFile" => "$rrd_file",
					"Label"   => "Emis     ",
					"Color"   => "#009977",
					"Type" 	  => "AREA"
				)
			)
		)
	)
);


rrd_mainhtml($graphs,"Statistiques MySQL","");

exit;

?>
